package com.ruoyi.jjh.ent.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.jjh.ent.entity.HomeRequestSmart;
import com.ruoyi.jjh.ent.entity.JSmartDeclaration;
import com.ruoyi.jjh.ent.entity.request.JRemindChiefAllRequest;
import com.ruoyi.jjh.ent.mapper.JSmartDeclarationMapper;
import com.ruoyi.jjh.ent.service.JSmartDeclarationService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 智能提醒关联表（j_smart_declaration）表业务实现层
 *
 * @author du
 * @since 2024/7/1 13:33
 */
@Service
public class JSmartDeclarationServiceImpl extends ServiceImpl<JSmartDeclarationMapper, JSmartDeclaration> implements JSmartDeclarationService {

    /**
     * 企业端首页智能提醒查询所有数据
     *
     * @return 所有数据
     */
    @Override
    public Page<HomeRequestSmart> selectEnterpriseAllList(Page<HomeRequestSmart> page,String userName) {
        return baseMapper.selectEnterpriseAllList(page,userName);
    }

    /**
     * 政务端首页智能提醒查询所有数据
     *
     * @return 所有数据
     */
    @Override
    public Page<HomeRequestSmart> chiefAll(Page<HomeRequestSmart> page, JRemindChiefAllRequest req) {
        return baseMapper.chiefAll(page, req);
    }
}

