package com.ruoyi.jjh.ent.entity.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 行业纵深情况返回类
 *
 * @author du
 * @since 2024/7/25 14:16
 */
@Data
@ApiModel("行业纵深情况返回类")
public class JIndustryDepthResponse {


    /**
     * 年份
     */
    @ApiModelProperty("年份")
    private String years;

    /**
     * 行业大类
     */
    @ApiModelProperty("行业大类")
    private String industryCategories;


    /**
     * 全年营收（亿元）
     */
    @ApiModelProperty("全年营收（亿元）")
    private String yearRevenue;

    /**
     * 增加值（亿元）
     */
    @ApiModelProperty("增加值（亿元）")
    private String addValue;


    /**
     * 增加值增速（按不变价）
     */
    @ApiModelProperty("增加值增速（按不变价）%")
    private String growth;

    /**
     * 增加值占GDP比重
     */
    @ApiModelProperty("增加值占GDP比重 %")
    private String gdpProportion;
}
