package com.ruoyi.jjh.ent.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.jjh.ent.entity.JHeadQuartersRevenue;
import com.ruoyi.jjh.ent.entity.request.JHeadQuartersRevenueRequest;
import com.ruoyi.jjh.ent.entity.response.JHqCountResponse;
import com.ruoyi.jjh.ent.mapper.JHeadQuartersRevenueMapper;
import com.ruoyi.jjh.ent.service.JHeadQuartersRevenueService;
import org.springframework.stereotype.Service;

/**
 * 总部企业（j_headquarters_revenue）表业务实现层
 *
 * @author du
 * @since 2024/7/29 13:11
 */
@Service
public class JHeadQuartersRevenueServiceImpl extends ServiceImpl<JHeadQuartersRevenueMapper, JHeadQuartersRevenue> implements JHeadQuartersRevenueService {

    /**
     * 分页查询总部企业
     *
     * @param page 分页参数
     * @param js   请求参数
     * @return 数据
     */
    @Override
    public Page<JHeadQuartersRevenue> page(Page<JHeadQuartersRevenue> page, JHeadQuartersRevenueRequest js) {
        return baseMapper.page(page, js);
    }


    /**
     * 查询总部企业数量
     */
    @Override
    public JHqCountResponse selectZbCount() {
        return baseMapper.selectZbCount();
    }
}
